Bug 986792 - [abrt] yum-3.4.3-100.fc19: yumRepo.py:1308:_revertOldRepoXML:OSError: [Errno 2] No such file or directory
[abrt] yum-3.4.3-100.fc19: yumRepo.py:1308:_revertOldRepoXML:OSError: [Errno ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
abrt_hash:f249da0e934167a9c705a6cac07...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-22 02:20 EDT by Ahmed Noor Kader Mustajir B. Md Eusoff
Modified: 2015-02-17 11:17 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:17:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.90 KB, text/plain)
2013-07-22 02:20 EDT, Ahmed Noor Kader Mustajir B. Md Eusoff
no flags Details
File: core_backtrace (1.45 KB, text/plain)
2013-07-22 02:20 EDT, Ahmed Noor Kader Mustajir B. Md Eusoff
no flags Details
File: environ (2.13 KB, text/plain)
2013-07-22 02:20 EDT, Ahmed Noor Kader Mustajir B. Md Eusoff
no flags Details

  None (edit)
Description Ahmed Noor Kader Mustajir B. Md Eusoff 2013-07-22 02:20:14 EDT
Version-Release number of selected component:
yum-3.4.3-100.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python /bin/yum check-update
executable:     /bin/yum
kernel:         3.9.9-302.fc19.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
yumRepo.py:1308:_revertOldRepoXML:OSError: [Errno 2] No such file or directory

Traceback (most recent call last):
  File "/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 316, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 126, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 532, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 1572, in doCommand
    ypl = base.returnPkgLists(extcmds)
  File "/usr/share/yum-cli/cli.py", line 1340, in returnPkgLists
    ignore_case=True, repoid=repoid)
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 2868, in doPackageLists
    for (n,a,e,v,r) in self.up.getUpdatesList():
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1069, in <lambda>
    up = property(fget=lambda self: self._getUpdates(),
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 830, in _getUpdates
    self._up = rpmUtils.updates.Updates(self.rpmdb.simplePkgList(), self.pkgSack.simplePkgList())
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1050, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 770, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 348, in populateSack
    self.doSetup()
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 158, in doSetup
    self.retrieveAllMD()
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 113, in retrieveAllMD
    repo._revertOldRepoXML()
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1308, in _revertOldRepoXML
    os.rename(old_data['old_local'], old_data['local'])
OSError: [Errno 2] No such file or directory

Local variables in innermost frame:
old_data: {'old_repo_XML': <yum.repoMDObject.RepoMD instance at 0x13e1d88>, 'old_MD_files': ['/var/cache/yum/x86_64/19/updates/971b160c6091abedb6b21f993f1fff3b7291cbb3b39748f5ad9def39391ef94e-comps-f19.xml.gz', '/var/cache/yum/x86_64/19/updates/updateinfo.xml.gz', '/var/cache/yum/x86_64/19/updates/592ead2d593acd1632b486efc31c411128bde1592bf16a77b9f13576faeea8a6-prestodelta.xml.gz', '/var/cache/yum/x86_64/19/updates/dc62cacdc83066d2dffdcd5a3e6d9ad7bcb576ab9f146ef81eb14d7fbcd63b48-primary.sqlite.bz2'], 'local': '/var/cache/yum/x86_64/19/updates/repomd.xml', 'new_MD_files': ['/var/cache/yum/x86_64/19/updates/70e03497b636013e9e69b7405e9d9daa8271e85fdca442e87104ee50e51557ff-primary.sqlite.bz2'], 'old_local': '/var/cache/yum/x86_64/19/updates/repomd.xml.old.tmp'}
self: <yum.yumRepo.YumRepository object at 0x11f66d0>
fname: '/var/cache/yum/x86_64/19/updates/70e03497b636013e9e69b7405e9d9daa8271e85fdca442e87104ee50e51557ff-primary.sqlite.bz2'
Comment 1 Ahmed Noor Kader Mustajir B. Md Eusoff 2013-07-22 02:20:22 EDT
Created attachment 776739 [details]
File: backtrace
Comment 2 Ahmed Noor Kader Mustajir B. Md Eusoff 2013-07-22 02:20:30 EDT
Created attachment 776740 [details]
File: core_backtrace
Comment 3 Ahmed Noor Kader Mustajir B. Md Eusoff 2013-07-22 02:20:39 EDT
Created attachment 776741 [details]
File: environ
Comment 4 Derek Carter 2014-07-23 12:03:10 EDT
I am seeing this bug or one similar to it when running mock

https://gist.github.com/goozbach/245917aa4ef217c865b5
Comment 5 Fedora End Of Life 2015-01-09 14:02:26 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 11:17:45 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.